com.smartgwt.client.data

## Class SortSpecifier

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.SortSpecifier

-     public class SortSpecifier
      extends DataClass

  Class defining the details of a single sort operation

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortSpecifier(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `SortSpecifier(java.lang.String fieldName, SortDirection sortDirection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortSpecifier[]` | `convertToArray(com.google.gwt.core.client.JavaScriptObject nativeArray)`
    `static SortSpecifier[]` | `convertToArray(java.lang.String sortByString)`
    `java.lang.String` | `getField()` The field name to which this sortSpecifier applies
    `static SortSpecifier` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `SortDirection` | `getSortDirection()` The direction in which this specifier should sort.
    `void` | `setDirection(SortDirection sortDirection)` The direction in which this specifier should sort.
    `void` | `setField(java.lang.String field)` The fieldName to which this sortSpecifier applies

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortSpecifier

          public SortSpecifier(java.lang.String fieldName,
                       SortDirection sortDirection)

    - #### SortSpecifier

          public SortSpecifier(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static SortSpecifier getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setDirection

          public void setDirection(SortDirection sortDirection)

      The direction in which this specifier should sort.
      Parameters:
        `sortDirection` - the sortDirection

    - #### getSortDirection

          public SortDirection getSortDirection()

      The direction in which this specifier should sort.
      Returns:
        the sortDirection

    - #### setField

          public void setField(java.lang.String field)

      The fieldName to which this sortSpecifier applies
      Parameters:
        `field` - the field name

    - #### getField

          public java.lang.String getField()

      The field name to which this sortSpecifier applies
      Returns:
        the field name

    - #### convertToArray

          public static SortSpecifier[] convertToArray(java.lang.String sortByString)

    - #### convertToArray

          public static SortSpecifier[] convertToArray(com.google.gwt.core.client.JavaScriptObject nativeArray)